org.apache.ignite.internal.processors.cache.query.continuous

## Class CacheContinuousQueryEventBuffer

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.query.continuous.CacheContinuousQueryEventBuffer

    public class CacheContinuousQueryEventBuffer
    extends Object

### Field Summary

Fields
`static int` `DFLT_CONTINUOUS_QUERY_PENDING_BUFF_SIZE`
`static int` `DFLT_CONTINUOUS_QUERY_SERVER_BUFFER_SIZE`
`static String` `IGNITE_CONTINUOUS_QUERY_PENDING_BUFF_SIZE`
`static String` `IGNITE_CONTINUOUS_QUERY_SERVER_BUFFER_SIZE`
`static int` `MAX_PENDING_BUFF_SIZE` Maximum size of buffer for pending events.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DFLT_CONTINUOUS_QUERY_PENDING_BUFF_SIZE

    public static final int DFLT_CONTINUOUS_QUERY_PENDING_BUFF_SIZE

See Also:
  `IGNITE_CONTINUOUS_QUERY_PENDING_BUFF_SIZE`, Constant Field Values

#### DFLT_CONTINUOUS_QUERY_SERVER_BUFFER_SIZE

    public static final int DFLT_CONTINUOUS_QUERY_SERVER_BUFFER_SIZE

See Also:
  `IGNITE_CONTINUOUS_QUERY_SERVER_BUFFER_SIZE`, Constant Field Values

#### IGNITE_CONTINUOUS_QUERY_PENDING_BUFF_SIZE

    @SystemProperty(value="The max size of the buffer with pending continuous queries events",
                    type=java.lang.Long.class,
                    defaults="10000")
    public static final String IGNITE_CONTINUOUS_QUERY_PENDING_BUFF_SIZE

See Also:
  Constant Field Values

#### IGNITE_CONTINUOUS_QUERY_SERVER_BUFFER_SIZE

    @SystemProperty(value="Continuous queries batch buffer size",
                    type=java.lang.Long.class,
                    defaults="1000")
    public static final String IGNITE_CONTINUOUS_QUERY_SERVER_BUFFER_SIZE

See Also:
  Constant Field Values

#### MAX_PENDING_BUFF_SIZE

    public static final int MAX_PENDING_BUFF_SIZE

Maximum size of buffer for pending events. Default value is `10_000`.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021